Subject: Bug#1096198: [Pkg-nagios-devel] Bug#1096198: Bug#1096198: monitoring-plugins-contrib: check_running_kernel has no idea what riscv64 kernel is running

From: Sebastiaan Couwenberg <[email-masked]>
Date: Mon, 17 Feb 2025 16:37:12 +0100

On 2/17/25 4:30 PM, Holger Levsen wrote:
> On Mon, Feb 17, 2025 at 03:42:37PM +0100, Sebastiaan Couwenberg wrote:
>> Control: tags -1 pending
>> Added a patch in git to also check vmlinux images again which resolves the issue on the porterbox at least.
> 
> I tried to build current git to confirm, but it ftbfs for me:
> 
> [...]
> 
> but looking at git log, I suppose I'm doing it wrong? :)
> 
> commit be7a81413d49ebb6ee83c724f4a0ef4c91bc45ab (HEAD -> master)
> Author: root <[email-masked]>
> Date:   Mon Feb 17 23:24:51 2025 +0800
> 
>      Auto update of debian/control
> 
> commit c967e51c789de7d559374fbe6305b53d8653fcdb
> Author: root <[email-masked]>
> Date:   Mon Feb 17 23:24:49 2025 +0800
> 
>      Auto update of debian/copyright

Yes, these two commits should not be there.

> I've literally just cloned the git repo, made sure I'm in the correct branch and that
> the build-depends are installed and ran debuild...

That has patches unapplied likely, you'll need to apply patches at least.

This should work:

  QUILT_PATCHES=debian/patches quilt push -a && dpkg-buildpackage -us -uc 2>&1 | tee ../nagios-plugins-contrib.build

Kind Regards,

Bas

-- 
  GPG Key ID: 4096R/6750F10AE88D4AF1
Fingerprint: 8182 DE41 7056 408D 6146  50D1 6750 F10A E88D 4AF1